Bug Hunting Session
Bug 100187 - OpenGL: grid lines aren't rendered in Calc
Summary: OpenGL: grid lines aren't rendered in Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2016-06-02 08:44 UTC by Tomaz Vajngerl
Modified: 2016-10-25 18:54 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomaz Vajngerl 2016-06-02 08:44:57 UTC
When starting Calc on Windows with OpenGL enabled, the grid lines aren't rendered. Happens on Intel/Nvidia combo GPU.
Comment 1 Commit Notification 2016-06-02 09:06:26 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7aae883b90850af3f3a0aaada5704682f77c3d02

tdf#100187 fix division by zero in comboFragmentShader

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-06-02 09:17:18 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5888dd3e521184637cbe70757262eaf83e20387c&h=libreoffice-5-2

tdf#100187 fix division by zero in comboFragmentShader

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Michael Meeks 2016-06-02 09:51:36 UTC
Thanks !
Comment 4 Commit Notification 2016-06-02 10:38:22 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be4aea73266f4aadf561b4b3943206d361a46ebd&h=libreoffice-5-1

tdf#100187 fix division by zero in comboFragmentShader

It will be available in 5.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-06-07 08:52:00 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-1-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4902c5c831cbed7b5e086e49e95abcd93c08e39d&h=libreoffice-5-1-4

tdf#100187 fix division by zero in comboFragmentShader

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.